﻿namespace MyWindowsForm

open System.Windows.Forms
open System.Drawing
open InitControls

//====================================================
// Подробное описание программного кода исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================


module FormModule =

// --- Модуль создания и инициализации формы ---

    type MyForm() =
        inherit Form()
        do
            base.Text <- "Windows Form F#"
            base.StartPosition <- FormStartPosition.CenterScreen
            base.Size <- new Size(600, 480)
            base.TopMost <- true
            
 

    // Создаем собственную форму.
    let myForm = new MyForm()


    // Приостановка работы макетов.
    // Приостановка актуальна при большом количестве визуальных элементов.
    // Уменьшает время визуализации формы.
    tableLayoutPanel.SuspendLayout()
    myForm.SuspendLayout()


    // Кнопки добавляются в контейнер TableLayoutPanel.
    tableLayoutPanel.Controls.Add(button1, 0, 0)
    tableLayoutPanel.Controls.Add(button2, 1, 0)
    tableLayoutPanel.Controls.Add(button3, 1, 1)
    tableLayoutPanel.Controls.Add(button4, 0, 1)
    tableLayoutPanel.Controls.Add(button4, 0, 1)

    // Добавляем таблицу на форму.
    myForm.Controls.Add(tableLayoutPanel)


    // Возобновляем работу макетов.
    tableLayoutPanel.ResumeLayout(false);
    myForm.ResumeLayout(false);